Commit 26186250 authored by Mattias Ellert's avatar Mattias Ellert

arcctl uses the hostname and openssl binaries.

arex's scriptlets call arcctl.
parent b7740372
......@@ -14,7 +14,7 @@ Conflicts: nordugrid-arc-chelonia (<< 2.0.0~), nordugrid-arc-hopi (<< 2.0.0~), n
Breaks: nordugrid-arc-hed (<< 1.0.1~rc2~), nordugrid-arc-arex (<< 2.0.1~), libarccommon0, libarccommon1, libarccommon2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, openssl
XB-Python-Version: ${python:Versions}
Description: Advanced Resource Connector Middleware
NorduGrid is a collaboration aiming at development, maintenance and
......
......@@ -309,6 +309,12 @@ BuildRequires: ldns-devel >= 1.6.8
BuildRequires: python-argparse
Requires: python-argparse
%endif
%if %{?fedora}%{!?fedora:0} >= 13 || %{?rhel}%{!?rhel:0} >= 7 || %{?suse_version:1}%{!?suse_version:0}
Requires: hostname
%else
Requires: net-tools
%endif
Requires: openssl
%description
NorduGrid is a collaboration aiming at development, maintenance and
......@@ -490,6 +496,14 @@ Obsoletes: %{name}-cache-service < 6.0.0
Provides: %{name}-candypond = %{version}-%{release}
Obsoletes: %{name}-candypond < 6.0.0
Requires(post): %{name} = %{version}-%{release}
Requires(preun): %{name} = %{version}-%{release}
%if %{?fedora}%{!?fedora:0} >= 13 || %{?rhel}%{!?rhel:0} >= 7 || %{?suse_version:1}%{!?suse_version:0}
Requires(post): hostname
%else
Requires(post): net-tools
%endif
Requires(post): openssl
Requires(post): %{service_post_requires}
Requires(preun): %{service_preun_requires}
Requires(postun): %{service_postun_requires}
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment